"use strict";

var globalOptions = require("./options.js");

function uvbPopupModal(title, message, buttons) {
	//var BsModal = Vue.options.components["bs-modal"];
	var BsModalVue = require("./components/bs-modal.vue");
	var BsModal = Vue.extend(BsModalVue);
	var instance = new BsModal({
		propsData: { title: title, buttons: buttons }
	});
	instance.$slots["default"] = [ message ];
	instance.$mount();
	$(instance.$el).appendTo($("body")).modal("show");
	
	return instance;
}

module.exports = {
	errorDialog: function(title, message) {
		var modal = uvbPopupModal(title, message, [{
			text: globalOptions.l.ok,
			color: "danger",
			action: function() {
				$(modal.$el).modal("hide");
			}
		}]);
	},
	infoDialog: function(title, message) {
		var modal = uvbPopupModal(title, message, [{
			text: globalOptions.l.ok,
			color: "info",
			action: function() {
				$(modal.$el).modal("hide");
			}
		}]);
	},
	confirmDialog: function(title, message, onConfirm, onReject) {
		var modal = uvbPopupModal(title, message, [{
			text: globalOptions.l.ok,
			color: "success",
			action: function() {
				$(modal.$el).modal("hide");
				onConfirm();
			}
		}, {
			text: globalOptions.l.cancel,
			color: "danger",
			action: function() {
				if (onReject !== undefined)
					onReject();
				$(modal.$el).modal("hide");
			}
		}]);
	}
}